public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/fakeredis/
Date: Sun,  4 Sep 2022 16:22:16 +0000 (UTC)	[thread overview]
Message-ID: <1662308531.aa22f53c08a4ac465cb3ed6c3a2357248ab65271.mgorny@gentoo> (raw)

commit:     aa22f53c08a4ac465cb3ed6c3a2357248ab65271
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Sep  4 15:41:32 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Sep  4 16:22:11 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=aa22f53c

dev-python/fakeredis: Bump to 1.9.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/fakeredis/Manifest               |  1 +
 dev-python/fakeredis/fakeredis-1.9.1.ebuild | 88 +++++++++++++++++++++++++++++
 2 files changed, 89 insertions(+)

diff --git a/dev-python/fakeredis/Manifest b/dev-python/fakeredis/Manifest
index 4f2bb979ea55..fd3828aebd3e 100644
--- a/dev-python/fakeredis/Manifest
+++ b/dev-python/fakeredis/Manifest
@@ -1,2 +1,3 @@
 DIST fakeredis-py-1.8.2.gh.tar.gz 96238 BLAKE2B 17fd75d2ca6e929fbbdab87e9a6450d72006a3dc72a2d81a3f381c1918f2ca12f273468bf8015e80df78e9df393d2f7002b13e12989d108f93beb3287472c0c6 SHA512 6a86c0fa41920f4446b66d4d152850227a23f5a031a80d0d9109117de7252965821dc8d9f022b9fd703f8ed66fad207f6542bd6ee524a54f2053bbcd2ed9965e
 DIST fakeredis-py-1.9.0.gh.tar.gz 85475 BLAKE2B 99c5fdf2fb665505f6450a3ec08a401a0a629c62722709b4775ac2752816e6b461579f4a3df6d7a11a07e170e369ee1703294d9ef607a52318a7a8d583ce6264 SHA512 ca379d610a62053bb417aad1cd618356240697d0afdaca0467506d7b1ec38997d46b358a31356cdec8ecd1719386f942fd220f8b0a396bfc8c5316c2143f20f1
+DIST fakeredis-py-1.9.1.gh.tar.gz 86742 BLAKE2B aa3f0b05f486219cb6eb560f561ab3e39cc32286cdc3f4f9aba667e256528b9338dcc03f3ddb00c0db30ddb181afe535e209f6ee0e98c56a0cad445e2181ec67 SHA512 27b4c95e596fdd69cecc737897edfedd6f55e7c5610394b1532e4b2aededaed6ad15763582ce6cc20821ac7ea096f60204f7080d247359d8e8d0d360a61c8e39

diff --git a/dev-python/fakeredis/fakeredis-1.9.1.ebuild b/dev-python/fakeredis/fakeredis-1.9.1.ebuild
new file mode 100644
index 000000000000..0b30f3d6134d
--- /dev/null
+++ b/dev-python/fakeredis/fakeredis-1.9.1.ebuild
@@ -0,0 +1,88 @@
+# Copyright 2020-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( pypy3 python3_{8..11} )
+
+inherit distutils-r1
+
+MY_P=fakeredis-py-${PV}
+DESCRIPTION="Fake implementation of redis API for testing purposes"
+HOMEPAGE="
+	https://github.com/cunla/fakeredis-py/
+	https://pypi.org/project/fakeredis/
+"
+SRC_URI="
+	https://github.com/cunla/fakeredis-py/archive/v${PV}.tar.gz
+		-> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+	>=dev-python/redis-py-4.2[${PYTHON_USEDEP}]
+	<dev-python/redis-py-4.4[${PYTHON_USEDEP}]
+	>=dev-python/six-1.16.0[${PYTHON_USEDEP}]
+	>=dev-python/sortedcontainers-2.4.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	test? (
+		dev-db/redis
+		dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+		dev-python/pytest-mock[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+	# unpin redis
+	sed -i -e '/redis/s:<[0-9.]*:*:' pyproject.toml || die
+	distutils-r1_src_prepare
+}
+
+python_test() {
+	local EPYTEST_DESELECT=(
+		# also lupa
+		test/test_aioredis2.py::test_failed_script_error
+		# TODO
+		"test/test_fakeredis.py::test_set_get_nx[StrictRedis]"
+		"test/test_fakeredis.py::test_lpop_count[StrictRedis]"
+		"test/test_fakeredis.py::test_rpop_count[StrictRedis]"
+		"test/test_fakeredis.py::test_zadd_minus_zero[StrictRedis]"
+	)
+	local EPYTEST_IGNORE=(
+		# these tests fail a lot...
+		test/test_hypothesis.py
+	)
+	local args=(
+		# tests requiring lupa (lua support)
+		-k 'not test_eval and not test_lua and not test_script'
+	)
+	epytest "${args[@]}"
+}
+
+src_test() {
+	local redis_pid="${T}"/redis.pid
+	local redis_port=6379
+
+	einfo "Spawning Redis"
+	einfo "NOTE: Port ${redis_port} must be free"
+	"${EPREFIX}"/usr/sbin/redis-server - <<- EOF || die "Unable to start redis server"
+		daemonize yes
+		pidfile ${redis_pid}
+		port ${redis_port}
+		bind 127.0.0.1
+	EOF
+
+	# Run the tests
+	distutils-r1_src_test
+
+	# Clean up afterwards
+	kill "$(<"${redis_pid}")" || die
+}


             reply	other threads:[~2022-09-04 16:22 UTC|newest]

Thread overview: 159+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-09-04 16:22 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-01  3:46 [gentoo-commits] repo/gentoo:master commit in: dev-python/fakeredis/ Michał Górny
2024-09-29  3:01 Michał Górny
2024-09-14 12:32 Michał Górny
2024-09-14 12:06 Arthur Zamarin
2024-08-27  7:39 Michał Górny
2024-08-25 12:33 Michał Górny
2024-08-24 13:06 Michał Górny
2024-08-24  8:15 Sam James
2024-08-04  2:48 Michał Górny
2024-07-31  5:52 Michał Górny
2024-07-20 13:27 Michał Górny
2024-06-30  2:52 Michał Górny
2024-06-05  9:13 Michał Górny
2024-06-05  6:48 Arthur Zamarin
2024-05-19  6:02 Michał Górny
2024-05-18 16:10 Michał Górny
2024-05-13  2:12 Michał Górny
2024-05-07 17:45 Michał Górny
2024-05-04 11:32 Michał Górny
2024-05-04  7:51 Arthur Zamarin
2024-04-20  5:40 Michał Górny
2024-03-30 14:34 Michał Górny
2024-03-12 17:51 Michał Górny
2024-03-11  3:53 Michał Górny
2024-03-02 11:44 Michał Górny
2024-03-02 11:18 Arthur Zamarin
2024-02-16  5:40 Michał Górny
2024-02-14 12:36 Michał Górny
2024-02-14 12:26 Michał Górny
2024-01-31  6:42 Michał Górny
2023-12-30 14:40 Michał Górny
2023-12-14 13:58 Michał Górny
2023-11-22 11:59 Michał Górny
2023-11-22 11:11 Sam James
2023-10-22  6:55 Michał Górny
2023-10-14 18:49 Michał Górny
2023-10-14 16:59 Arthur Zamarin
2023-09-26  4:42 Michał Górny
2023-09-17 11:26 Michał Górny
2023-09-09  3:22 Michał Górny
2023-08-19 16:07 Michał Górny
2023-08-19 16:02 Arthur Zamarin
2023-08-15  2:39 Michał Górny
2023-07-24 11:09 Michał Górny
2023-07-19  6:57 Michał Górny
2023-07-05  6:19 Michał Górny
2023-06-27 11:52 Michał Górny
2023-06-27  5:19 Jakov Smolić
2023-06-20  5:38 Michał Górny
2023-06-07  5:09 Michał Górny
2023-06-06  5:43 Michał Górny
2023-05-31 16:05 Michał Górny
2023-05-23 16:15 Michał Górny
2023-05-23 15:50 Arthur Zamarin
2023-05-22  5:53 Michał Górny
2023-05-11 17:58 Michał Górny
2023-05-08  3:55 Michał Górny
2023-04-30  3:55 Michał Górny
2023-04-26  5:36 Michał Górny
2023-04-23 19:30 Michał Górny
2023-04-05  9:14 Michał Górny
2023-04-05  8:32 Arthur Zamarin
2023-04-04  4:48 Michał Górny
2023-03-22  6:05 Michał Górny
2023-03-16  3:33 Michał Górny
2023-03-11 16:17 Michał Górny
2023-03-11 16:00 Sam James
2023-03-04 18:16 Michał Górny
2023-02-21  7:41 Michał Górny
2023-02-20 15:22 Michał Górny
2023-02-15 19:51 Michał Górny
2023-02-15 19:21 Arthur Zamarin
2023-02-15  7:25 Michał Górny
2023-02-15  7:16 Michał Górny
2023-02-11 19:11 Michał Górny
2023-02-05 17:07 Michał Górny
2023-02-04  4:48 Michał Górny
2023-01-28  7:39 Michał Górny
2023-01-26 19:11 Michał Górny
2023-01-26 18:42 Arthur Zamarin
2023-01-23  7:34 Michał Górny
2022-12-25 17:33 Michał Górny
2022-12-25  8:09 Michał Górny
2022-12-16 11:32 Michał Górny
2022-12-06  6:02 Michał Górny
2022-12-01  7:09 Michał Górny
2022-11-25 14:04 Michał Górny
2022-11-25 13:58 Arthur Zamarin
2022-11-19  9:42 Michał Górny
2022-11-09  8:38 Michał Górny
2022-11-03 19:27 Arthur Zamarin
2022-11-03 19:22 Arthur Zamarin
2022-10-25 20:30 Arthur Zamarin
2022-10-16  5:41 Arthur Zamarin
2022-09-28 18:34 Michał Górny
2022-09-27 18:25 Arthur Zamarin
2022-09-20  8:08 Michał Górny
2022-09-20  7:45 Jakov Smolić
2022-08-27  6:24 Michał Górny
2022-08-27  6:24 Michał Górny
2022-08-26 23:29 Sam James
2022-08-25 13:03 Jakov Smolić
2022-07-31 18:20 Arthur Zamarin
2022-07-25  7:12 Michał Górny
2022-07-10 19:09 Michał Górny
2022-07-10 18:04 Arthur Zamarin
2022-06-09 20:13 Michał Górny
2022-06-09 20:13 Michał Górny
2022-06-09 19:19 Michał Górny
2022-06-06 11:33 Michał Górny
2022-05-28  5:00 Michał Górny
2022-05-26  8:07 Michał Górny
2022-05-15  6:39 Michał Górny
2022-05-08  8:47 Michał Górny
2022-04-09 18:41 Michał Górny
2022-04-09 16:32 Arthur Zamarin
2022-03-08 17:11 Jakov Smolić
2022-02-14 21:37 Michał Górny
2021-12-30 21:30 Michał Górny
2021-12-30 20:06 Arthur Zamarin
2021-12-03  8:31 Michał Górny
2021-12-03  7:34 Arthur Zamarin
2021-11-29  7:49 Sam James
2021-11-28 22:02 Michał Górny
2021-11-25 18:09 Arthur Zamarin
2021-11-19  8:37 Arthur Zamarin
2021-11-19  7:59 Arthur Zamarin
2021-09-16  8:43 Arthur Zamarin
2021-09-07 18:59 Sam James
2021-09-07 18:56 Sam James
2021-09-07  2:47 Sam James
2021-09-06 21:26 Sam James
2021-08-19 11:38 Sam James
2021-08-17  5:40 Arthur Zamarin
2021-08-16 19:09 Arthur Zamarin
2021-07-03  6:32 Michał Górny
2021-07-03  6:17 Agostino Sarubbo
2021-05-27 23:18 Michał Górny
2021-04-27 18:22 Michał Górny
2021-03-24 18:38 Michał Górny
2021-01-18 14:52 Sam James
2020-12-24  8:45 Michał Górny
2020-12-24  1:21 Sam James
2020-11-26  8:53 Michał Górny
2020-11-26  8:36 Sam James
2020-11-25  9:46 Michał Górny
2020-11-24 14:36 Sam James
2020-11-20 13:42 Sam James
2020-11-18 10:45 Sam James
2020-11-14 19:00 Sam James
2020-10-20  2:50 Michał Górny
2020-10-19 20:13 Sam James
2020-09-18 23:58 Sam James
2020-09-16  3:01 Sam James
2020-09-14 11:33 Louis Sautier
2020-09-13  9:04 Sam James
2020-09-13  8:59 Sam James
2020-09-10 22:03 Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1662308531.aa22f53c08a4ac465cb3ed6c3a2357248ab65271.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox